org.apache.lucene.analysis.de

## Class GermanNormalizationFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.de.GermanNormalizationFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class GermanNormalizationFilterFactory
      extends TokenFilterFactory
      implements MultiTermAwareComponent

  Factory for `GermanNormalizationFilter`.

       <fieldType name="text_denorm" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.StandardTokenizerFactory"/>
           <filter class="solr.LowerCaseFilterFactory"/>
           <filter class="solr.GermanNormalizationFilterFactory"/>
         </analyzer>
       </fieldType>

  Since:
    3.6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GermanNormalizationFilterFactory(Map<String,String> args)` Creates a new GermanNormalizationFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GermanNormalizationFilterFactory

          public GermanNormalizationFilterFactory(Map<String,String> args)

      Creates a new GermanNormalizationFilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.